function init(hero) {
    hero.setName("343 Guilty Spark");
    hero.setTier(3);
    
    hero.setHelmet("Body");
    
    hero.addAbilities("fiskheroes:flight", "fiskheroes:heat_vision", "fiskheroes:superhuman_durability");
	hero.addAttribute("BASE_SPEED", 0.5, 1);
    hero.addAttribute("PUNCH_DAMAGE", 1.0, 1);
    hero.addAttribute("SWORD_DAMAGE", -1.0, 1);
	hero.addAttribute("SPRINT_SPEED", 1.2, 1);
	hero.addAttribute("STEP_HEIGHT", 1.0, 0);
	
	hero.addKeyBind("HEAT_VISION", "key.heatVision", 1);
	
	hero.setDefaultScale(1.3);
	hero.setHasProperty(hasProperty);
}

function hasProperty(entity, property) {
    return property == "BREATHE_UNDERWATER" || property == "BREATHE_SPACE";
}